| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как оформить строку в лисп?

Как оформить строку в лисп?

Ответ
Поиск в этой теме
Непрочитано 27.08.2021, 10:16 #1
Как оформить строку в лисп?
elena ctenich
 
Регистрация: 17.05.2019
Сообщений: 11

(vla-get-effectivename (vlax-ename->vla-object (car (entsel))))
Просмотров: 1025
 
Непрочитано 27.08.2021, 10:46
#2
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,326


Чего?? Если это строка, то read в руки и вперед
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 27.08.2021, 10:47
#3
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,268


видимо имеется в виду в команду
koMon вне форума  
 
Автор темы   Непрочитано 27.08.2021, 11:31 Как оформить строку в лисп?
#4
elena ctenich


 
Регистрация: 17.05.2019
Сообщений: 11


Нужно создать лисп, вначале строки (defun c:/ короткое название/ в конце (princ) и ещё что-то...
elena ctenich вне форума  
 
Непрочитано 27.08.2021, 11:49
#5
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,268


Код:
[Выделить все]
 (defun c:EFF_NAME (/ command_interrupted entity_selected)
	(while (not command_interrupted)
		(setq entity_selected (vl-catch-all-apply 'entsel (list "\nВыберите блок: ")))
 		(cond
			(
				(vl-catch-all-error-p entity_selected)
					(setq command_interrupted t)
			)
			(
				(null entity_selected)
			)
			(
				t
					(if (= "AcDbBlockReference" (vla-get-objectname (vlax-ename->vla-object (car entity_selected))))
						(princ (vla-get-effectivename (vlax-ename->vla-object (car entity_selected))))
					)
			)
		)
	)
 	(princ)
)
koMon вне форума  
 
Автор темы   Непрочитано 27.08.2021, 12:04
#6
elena ctenich


 
Регистрация: 17.05.2019
Сообщений: 11


Спасибо koMon, то что надо!
elena ctenich вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как оформить строку в лисп?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Как из ObjectArx (.Net) вызвать функцию Лисп, передать в нее параметры и получить измененные параметры назад? nickname2019 Программирование 9 16.04.2020 06:16
Интересно где работают ЛИСП программисты? dextron3 LISP 114 17.12.2017 13:53
Нужна помощь по изменению лиспа "Вставка пикетажа" в лисп "вставка плюсовой точки" sosococo LISP 8 27.01.2016 13:36
Как преобразовать строку вида "..." в строку "\"...\"" и далее в строку "\"\"...\"\""? Supermax Программирование 2 10.10.2010 13:19
Лисп для копирования данных нескольких мтекстов по принципу расположения. Red Nova LISP 14 18.06.2008 22:08